Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

The problem is that I can't remove the gnome-shell and gnome-shell-extensions. When I try to delete with Ubuntu Software Center there is an error:

Package dependencies cannot be resolved

This error could be caused by required additional software packages which are missing or not installable. Furthermore there could be a conflict between software packages which are not allowed to be installed at the same time.

Details:

The following packages have unmet dependencies:

gnome-shell-extensions-user-theme:

And when I try to delete with terminal:

araqkh@araqkh-U30Jc:~$ sudo apt-get purge gnome-shell-extensions
[sudo] password for araqkh: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 gnome-shell-extensions-user-theme : Depends: gnome-shell-extensions-common but it is not going to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
araqkh@araqkh-U30Jc:~$ 

OS: Ubuntu 12.04 TLS

How can I solve this problem?

share|improve this question
    
Im having exactly the same issue as you –  Adonis K. Aug 23 '12 at 22:32
    
have you tried to install that package: sudo apt-get install gnome-shell-extensions-user-theme ? –  Dawid Aug 23 '12 at 22:42
    
It returns this error: The following packages have unmet dependencies: gnome-shell-extensions-user-theme : Depends: gnome-shell-extensions-common but it is not going to be installed E: Unable to correct problems, you have held broken packages. –  Adonis K. Aug 23 '12 at 23:23
1  
have you tried to install that package: sudo apt-get install gnome-shell-extensions-user-theme ? – shinnra Ofcourse I tryed. Absolutely the same error. Well it is not a problem to reinstall Ubuntu but anyway... I'd like to understand what's the deal –  AraQkh Aug 24 '12 at 14:13

1 Answer 1

gnome-shell-extensions-user-theme was never in the official Ubuntu repositories. Be careful when using software from PPAs.

Have you tried removing gnome-shell-extensions-user-theme. Maybe remove gnome-shell*.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.